
%global debug_package %{nil}

Name:      cri-tools
Version:   1.14.0
Release:   1.0.5%{?dist}
Vendor:    Oracle America
Summary:   CLI tool for Kubelet Container Runtime Interface
Group:     Development/Tools
License:   Apache-2.0
Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= 1.12.10
Provides: %{_sysconfdir}/cri-tools/1.14

%description
cri-tools are a utilities for Kubelet Container Runtime Interface runtimes, such as Cri-O.

%prep
%setup -q

%build
mkdir -p _output/src/github.com/kubernetes-incubator/
ln -s `pwd` _output/src/github.com/kubernetes-incubator/cri-tools
make binaries

%install
rm -rf %{buildroot}

# Create a version file so this project can be bounded as a dependency
install -dp %{buildroot}%{_sysconfdir}/cri-tools
touch %{buildroot}%{_sysconfdir}/cri-tools/1.14

make install BINDIR=%{buildroot}/usr/bin

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{_sysconfdir}/cri-tools/1.14
/usr/bin/crictl
/usr/bin/critest

%changelog
* Mon Feb 10 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.14.0-1.0.5
- Enhance versioning to support rpm Provides

* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.14.0-1.0.4
- Golang CVE-2019-16276

* Fri Oct 11 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 1.14.0-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Mon Aug 19 2019 Michael Calunod  <michael.calunod@oracle.com> - 1.14.0-1.0.2
- moved to semantic versioning for Release and added Url

* Wed Aug 07 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.14.0-1
- Added Oracle Specific Build Files for cri-tools
